    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.beans.MethodDescriptor

    java.lang.Object
       |
       +----java.beans.FeatureDescriptor
               |
               +----java.beans.MethodDescriptor

public class MethodDescriptor
extends FeatureDescriptor

A MethodDescriptor describes a particular method that a Java Bean supports for external access from other components.

##

MethodDescriptor(Method)
MethodDescriptor(Method, ParameterDescriptor[])

##

getMethod()
getParameterDescriptors()

##

MethodDescriptor

     public MethodDescriptor(Method method)

  Parameters:
    method - The low-level method information.

MethodDescriptor

     public MethodDescriptor(Method method,
                             ParameterDescriptor parameterDescriptors[])

  Parameters:
    method - The low-level method information.
    parameterDescriptors - Descriptive information for each of the method's parameters.

##

getMethod

     public Method getMethod()

  Returns:
    The low-level description of the method

getParameterDescriptors

     public ParameterDescriptor[] getParameterDescriptors()

  Returns:
    The locale-independent names of the parameters. May return a null array if the parameter names aren't known.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.